<?php

require("../../../init.php");

use WHMCS\Module\Server\VirtFusionDirect\Module;

$vf = new Module();

$vf->adminOnly();

switch ($vf->validateAction(true)) {

    /**
     * Login as server owner
     */
    case 'loginAsServerOwner':

        if ($vf->validateServiceID(true)) {
            /** An admin can login as any user. No need to validate ownership **/
            $token = $vf->fetchLoginTokens($_GET['serviceID']);
            if ($token) {

                /** We received a valid token/url **/
                $vf->output(['success' => true, 'token_url' => $token], true, true, 200);
            }

            /** Failed to get the token from the control panel or the service ID doesn't exist **/
            $vf->output(['success' => false, 'errors' => 'token request error'], true, true, 200);
        }
        break;

    default:
        /** No valid action was specified **/
        $vf->output(['success' => false, 'errors' => 'invalid action'], true, true, 200);
}

